mk-ca-bundle(1)

NAME
mk-ca-bundle - convert mozilla's certdata.txt to PEM format

SYNOPSIS
mk-ca-bundle [bilnqtuv] [outputfile]

DESCRIPTION
The mk-ca-bundle tool downloads the certdata.txt file from Mozilla's source tree over HTTP, then parses certdata.txt and extracts CA Root Certificates into PEM format. These are then processed with the OpenSSL commandline tool to produce the final ca-bundle file. The default outputfile name is ca-bundle.crt. By setting it to '-' (a single dash) you will get the output sent to STDOUT instead of a file. The PEM format this scripts uses for output makes the result readily available for use by just about all OpenSSL or GnuTLS powered applications, such as curl, wget and more.

OPTIONS
The following options are supported:

-b  backup an existing version of outputfilename

-f  force rebuild even if certdata.txt is current (Added in version 1.17)

-i  print version info about used modules

-l  print license info about certdata.txt

-n  no download of certdata.txt (to use existing)

-q  be really quiet (no progress output at all)

-t  include plain text listing of certificates

-u  unlink (remove) certdata.txt after processing

-v  be verbose and print out processed CAs

EXIT STATUS
Returns 0 on success. Returns 1 if it fails to download data.

CERTDATA FORMAT
The file format used by Mozilla for this trust information seems to be documented here:
http://p11-glue.freedesktop.org/doc/storing-trust-policy/storing-trust-existing.html

SEE ALSO
curl(1)

HISTORY
mk-ca-bundle is a command line tool that is shipped as part of every curl and libcurl release (see http://curl.haxx.se/). It was originally based on the parse-certs script written by Roland Krikava and was later much improved by Guenter Knauf. This manual page was initially written by Jan Schaumann <jschauma@netmeister.org>.